package com.javahonk.service;


import java.util.List;

import com.javahonk.dao.PersonDAO;
import com.javahonk.model.Person;

public class PersonServiceImpl implements PersonService{
	
	PersonDAO personDAO;

	public void deletePerson(Integer personId) {
		personDAO.deletePerson(personId);
		
	}

	public List<Person> findAllPerson() {
		return personDAO.findAllPerson();
	}

	public void insertPerson(Person person) {
		personDAO.insertPerson(person);
		
	}

	public PersonDAO getPersonDAO() {
		return personDAO;
	}

	public void setPersonDAO(PersonDAO personDAO) {
		this.personDAO = personDAO;
	}

	public void updatePerson(Integer personId) {
		personDAO.updatePerson(personId);
		
	}
	
	

}
